Package org.eclipse.emf.cdo.server

# Enum Class IStore.RevisionParallelism

java.lang.Object
java.lang.Enum<IStore.RevisionParallelism>
org.eclipse.emf.cdo.server.IStore.RevisionParallelism

All Implemented Interfaces:
  `Serializable`, `Comparable<IStore.RevisionParallelism>`, `Constable`

Enclosing interface:
  IStore

public static enum IStore.RevisionParallelism extends Enum<IStore.RevisionParallelism>
Enumerates the possible branching options a `store` can accept.

Since:
  2.0
Author:
  Eike Stepper

## Nested Class Summary

## Nested classes/interfaces inherited from class java.lang.Enum

`Enum.EnumDesc<E extends Enum<E>>`

## Enum Constant Summary

Enum Constants
Enum Constant
Description
`BRANCHING`
An indication that the store can work with branching.
`NONE`
An indication that the store can work without branching.

## Method Summary

Modifier and Type
Method
Description
`static IStore.RevisionParallelism`
`valueOf(String name)`
Returns the enum constant of this class with the specified name.
`static IStore.RevisionParallelism[]`
`values()`
Returns an array containing the constants of this enum class, in the order they are declared.

### Methods inherited from class java.lang.Enum

`clone, compareTo, describeConstable, equals, finalize, getDeclaringClass, hashCode, name, ordinal, toString, valueOf`

### Methods inherited from class java.lang.Object

`getClass, notify, notifyAll, wait, wait, wait`

## Enum Constant Details

### NONE

public static final IStore.RevisionParallelism NONE
An indication that the store can work without branching.

### BRANCHING

public static final IStore.RevisionParallelism BRANCHING
An indication that the store can work with branching.

## Method Details

### values

public static IStore.RevisionParallelism[] values()
Returns an array containing the constants of this enum class, in the order they are declared.

Returns:
  an array containing the constants of this enum class, in the order they are declared

### valueOf

public static IStore.RevisionParallelism valueOf(String name)
Returns the enum constant of this class with the specified name. The string must match exactly an identifier used to declare an enum constant in this class. (Extraneous whitespace characters are not permitted.)

Parameters:
  `name` - the name of the enum constant to be returned.
Returns:
  the enum constant with the specified name
Throws:
  `IllegalArgumentException` - if this enum class has no constant with the specified name
  `NullPointerException` - if the argument is null